<?php

namespace JimsGroup;

use JimsGroup\Apis\CustomerBooking;
use JimsGroup\Apis\FMSInfo;

final class Api
{
    private $apis = [];

    public function __construct($mode = 'production')
    {
        $this->apis = $this->initApis();
    }

    private function initApis()
    {
        return [
            'customer_booking' => new CustomerBooking(),
            'fms_info' => new FMSInfo(),
        ];
    }

    private function getApi($api_name)
    {
        return $this->apis[$api_name];
    }

    /**
     * @return FMSInfo
     */
    public function getFMSInfoApi()
    {
        return $this->getApi('fms_info');
    }

    /**
     * @return CustomerBooking
     */
    public function getCustomerBookingApi()
    {
        return $this->getApi('customer_booking');
    }
}